#!/bin/bash

THUNDERBIRD_VERSION=$(rpm -q --specfile mozilla-thunderbird-l10n.spec --queryformat "%{version}\n" | sort -u 2> /dev/null )
THUNDERBIRD_URL="http://ftp.mozilla.org/pub/thunderbird/releases/$THUNDERBIRD_VERSION/linux-i686/xpi/"

LANGPACKS="$(curl -s $THUNDERBIRD_URL 2> /dev/null | awk -F">" '/\.xpi/ { print $3 }' | sed 's@<.*@@g' | sort -u)"

rm -rf mozilla-thunderbird-l10n-$THUNDERBIRD_VERSION
mkdir -p mozilla-thunderbird-l10n-$THUNDERBIRD_VERSION

for pack in $LANGPACKS; do
    curl -LJ $THUNDERBIRD_URL$pack -o mozilla-thunderbird-l10n-$THUNDERBIRD_VERSION/$pack
done

tar cavf mozilla-thunderbird-l10n-$THUNDERBIRD_VERSION.tar.xz mozilla-thunderbird-l10n-$THUNDERBIRD_VERSION
rm -rf mozilla-thunderbird-l10n-$THUNDERBIRD_VERSION
